import type { UmbFolderCreateModalData, UmbFolderCreateModalValue } from './folder-create-modal.token.js';
import { UmbFolderModalElementBase } from './folder-modal-element-base.js';
export declare class UmbFolderCreateModalElement extends UmbFolderModalElementBase<UmbFolderCreateModalData, UmbFolderCreateModalValue> {
    private _folderScaffold?;
    constructor();
    init(): Promise<void>;
    onFormSubmit({ name }: {
        name: string;
    }): Promise<void>;
}
export default UmbFolderCreateModalElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-folder-create-modal': UmbFolderCreateModalElement;
    }
}
